<script lang="ts">
  import { families } from '$lib/tftData'; // Vérifiez que le chemin est correct
</script>

<div class="container mt-5 ">
  <h1 class="text-center mb-4 text-light">Présentation des Familles de Champions</h1>
  <p class="text-center mb-5 text-light">
    Découvrez les différentes familles de champions qui peuplent le monde de TFT. Chaque famille possède ses propres caractéristiques et champions uniques.
  </p>
  
  <div class="row ">
    {#each families as family}
      <div class="col-md-4 mb-4">
        <div class="card shadow-sm">
          <img src={family.image} class="card-img-top" alt={family.name} style="height: 150px; object-fit: cover;">
          <div class="card-body">
            <h5 class="card-title">{family.name}</h5>
            <p class="card-text">{family.description}</p>
            <a href={`/familles/${family.id}`} class="btn btn-primary">En savoir plus</a>
          </div>
        </div>
      </div>
    {/each}
  </div>
</div>



<style>
  :global(body) {
    background: linear-gradient(to right, #6a11cb 0%, #2575fc 100%);
    margin: 0;
    padding: 0;
    height: 100vh;
    overflow-x: hidden;
  }
  .container {
    max-width: 960px; /* Ajustez selon votre design */
  }
  .card-img-top {
    height: auto; /* Assure que la hauteur de l'image s'ajuste pour maintenir l'aspect ratio */
    max-height: 150px; /* Réduit la hauteur maximale de l'image */
    width: auto; /* Permet à la largeur de s'ajuster automatiquement */
    object-fit: cover; /* Couvre la zone dédiée de l'image sans la déformer */
  }
</style>


